Search Profiles
curl --request POST \
--url https://api.linkupapi.com/v1/data/search/profiles \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"keyword": "<string>",
"job_title": {},
"industry": {},
"school": {},
"location": {},
"current_company": {},
"total_results": 123
}
'import requests
url = "https://api.linkupapi.com/v1/data/search/profiles"
payload = {
"keyword": "<string>",
"job_title": {},
"industry": {},
"school": {},
"location": {},
"current_company": {},
"total_results": 123
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
job_title: {},
industry: {},
school: {},
location: {},
current_company: {},
total_results: 123
})
};
fetch('https://api.linkupapi.com/v1/data/search/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/search/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'keyword' => '<string>',
'job_title' => [
],
'industry' => [
],
'school' => [
],
'location' => [
],
'current_company' => [
],
'total_results' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/search/profiles"
payload := strings.NewReader("{\n \"keyword\": \"<string>\",\n \"job_title\": {},\n \"industry\": {},\n \"school\": {},\n \"location\": {},\n \"current_company\": {},\n \"total_results\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/search/profiles")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"keyword\": \"<string>\",\n \"job_title\": {},\n \"industry\": {},\n \"school\": {},\n \"location\": {},\n \"current_company\": {},\n \"total_results\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/search/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"keyword\": \"<string>\",\n \"job_title\": {},\n \"industry\": {},\n \"school\": {},\n \"location\": {},\n \"current_company\": {},\n \"total_results\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"total_results": 1523,
"profiles": [
{
"url": "https://www.linkedin.com/in/johnperez",
"title": "John M P. - CRM Experts Online - LinkedIn",
"description": "As the founder of CRM Experts Online, I leverage my 19+ years of experience in enterprise… · Experience: CRM Experts Online · Education: New York College Of ..."
},
{
"url": "https://www.linkedin.com/in/brentleary",
"title": "Brent Leary - CRM Essentials - LinkedIn",
"description": "Brent Leary is Co-founder and Partner of CRM Essentials LLC, a CRM consulting/advisory… · Experience: CRM Essentials · Location: Stockbridge · 500+ ..."
},
{
"url": "https://www.linkedin.com/in/jsrosenth",
"title": "Jeff Rosenthal - Head of CRM GTM, North America - monday.com",
"description": "I lead GTM for an emerging portfolio of CRM & AI products at monday.com. Deep expertise in CRM & AI GTM as a trusted advisor to global go to market, sales, ..."
}
]
}
}
Web Crawler API
Search Profiles
Search LinkedIn profiles with multiple criteria
POST
/
v1
/
data
/
search
/
profiles
Search Profiles
curl --request POST \
--url https://api.linkupapi.com/v1/data/search/profiles \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"keyword": "<string>",
"job_title": {},
"industry": {},
"school": {},
"location": {},
"current_company": {},
"total_results": 123
}
'import requests
url = "https://api.linkupapi.com/v1/data/search/profiles"
payload = {
"keyword": "<string>",
"job_title": {},
"industry": {},
"school": {},
"location": {},
"current_company": {},
"total_results": 123
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
job_title: {},
industry: {},
school: {},
location: {},
current_company: {},
total_results: 123
})
};
fetch('https://api.linkupapi.com/v1/data/search/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/search/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'keyword' => '<string>',
'job_title' => [
],
'industry' => [
],
'school' => [
],
'location' => [
],
'current_company' => [
],
'total_results' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/search/profiles"
payload := strings.NewReader("{\n \"keyword\": \"<string>\",\n \"job_title\": {},\n \"industry\": {},\n \"school\": {},\n \"location\": {},\n \"current_company\": {},\n \"total_results\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/search/profiles")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"keyword\": \"<string>\",\n \"job_title\": {},\n \"industry\": {},\n \"school\": {},\n \"location\": {},\n \"current_company\": {},\n \"total_results\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/search/profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"keyword\": \"<string>\",\n \"job_title\": {},\n \"industry\": {},\n \"school\": {},\n \"location\": {},\n \"current_company\": {},\n \"total_results\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"total_results": 1523,
"profiles": [
{
"url": "https://www.linkedin.com/in/johnperez",
"title": "John M P. - CRM Experts Online - LinkedIn",
"description": "As the founder of CRM Experts Online, I leverage my 19+ years of experience in enterprise… · Experience: CRM Experts Online · Education: New York College Of ..."
},
{
"url": "https://www.linkedin.com/in/brentleary",
"title": "Brent Leary - CRM Essentials - LinkedIn",
"description": "Brent Leary is Co-founder and Partner of CRM Essentials LLC, a CRM consulting/advisory… · Experience: CRM Essentials · Location: Stockbridge · 500+ ..."
},
{
"url": "https://www.linkedin.com/in/jsrosenth",
"title": "Jeff Rosenthal - Head of CRM GTM, North America - monday.com",
"description": "I lead GTM for an emerging portfolio of CRM & AI products at monday.com. Deep expertise in CRM & AI GTM as a trusted advisor to global go to market, sales, ..."
}
]
}
}
Description
This endpoint allows you to search LinkedIn profiles using different search criteria.Credit Usage: 1 credit per 10 results (or fraction thereof). For example:
- 1-10 results = 1 credit
- 11-20 results = 2 credits
- 300 results = 30 credits
Need full profile enrichment? Use the Profile Info endpoint to get complete profile details including work experience, education, skills, and more.
Coming Soon: New advanced filters are being developed, including:
- Recent job changes
- Years of experience
Headers
Body Parameters
Job title(s) to search for (e.g., “Software Engineer” or [“Software Engineer”, “Senior Developer”, “Tech Lead”])
School(s) or university(ies) (e.g., “Stanford University” or [“Stanford University”, “MIT”, “Harvard”])
At least one search criteria must be provided among:
keyword, job_title, industry, school, location, or current_company.Response
Response Example
{
"status": "success",
"data": {
"total_results": 1523,
"profiles": [
{
"url": "https://www.linkedin.com/in/johnperez",
"title": "John M P. - CRM Experts Online - LinkedIn",
"description": "As the founder of CRM Experts Online, I leverage my 19+ years of experience in enterprise… · Experience: CRM Experts Online · Education: New York College Of ..."
},
{
"url": "https://www.linkedin.com/in/brentleary",
"title": "Brent Leary - CRM Essentials - LinkedIn",
"description": "Brent Leary is Co-founder and Partner of CRM Essentials LLC, a CRM consulting/advisory… · Experience: CRM Essentials · Location: Stockbridge · 500+ ..."
},
{
"url": "https://www.linkedin.com/in/jsrosenth",
"title": "Jeff Rosenthal - Head of CRM GTM, North America - monday.com",
"description": "I lead GTM for an emerging portfolio of CRM & AI products at monday.com. Deep expertise in CRM & AI GTM as a trusted advisor to global go to market, sales, ..."
}
]
}
}
Was this page helpful?